Name:           fuse-sshfs
Version:        3.7.3
Release:        3
Summary:        FUSE-Filesystem to access remote filesystems via SSH
License:        GPL-2.0-only
URL:            https://github.com/libfuse/sshfs
Source0:        https://github.com/libfuse/sshfs/releases/download/sshfs-%{version}/sshfs-%{version}.tar.xz
Patch1:         sshfs-0001-Refer-to-mount.fuse3-instead-of-mount.fuse.patch
Provides:       sshfs = %{version}-%{release}
Requires:       fuse3 >= 3.1.0
Requires:       openssh-clients
BuildRequires:  gcc meson fuse3
BuildRequires:  fuse3-devel >= 3.1.0 glib2-devel >= 2.0
BuildRequires:  openssh-clients python3-docutils python3-pytest

%description
This is a FUSE-filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set
up: i.e. on the server side there's nothing to do.  On the client side
mounting the filesystem is as easy as logging into the server with ssh.

%prep
%autosetup -p1 -n sshfs-%{version}
# fix tests
# sed -i "s/'fusermount'/'fusermount3'/g" test/util.py

%build
%meson
%meson_build

%install
%meson_install

%check
#cd %{_vpath_builddir}
#python3 -m pytest test/

%files
%doc AUTHORS README.rst ChangeLog.rst
%license COPYING
%{_bindir}/sshfs
%{_sbindir}/mount.sshfs
%{_sbindir}/mount.fuse.sshfs
%{_mandir}/man1/sshfs.1.gz

%changelog
* Fri Dec 09 2022 liukuo <liukuo@kylinos.cn> - 3.7.3-3
- License compliance rectification

* Thu Dec 08 2022 fushanqing <fushanqing@kylinos.cn> - 3.7.3-2
- remove unnecessary source

* Fri Jul 22 2022 tianlijing <tianlijing@kylinos.cn> - 3.7.3-1
- Update to 3.7.3

* Wed Jan 26 2022 fushanqing <fushanqing@kylinos.cn> - 3.7.1-1
- Initial package
